io.vertx.ext.httpservicefactory

## Class HttpSecureServiceFactory

- java.lang.Object
- - io.vertx.service.ServiceVerticleFactory
  - - io.vertx.ext.httpservicefactory.HttpServiceFactory
    - - io.vertx.ext.httpservicefactory.HttpSecureServiceFactory

- All Implemented Interfaces:
    VerticleFactory

      public class HttpSecureServiceFactory
      extends HttpServiceFactory

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.ext.httpservicefactory.HttpServiceFactory

      `AUTH_PASSWORD_PROPERTY, AUTH_USERNAME_PROPERTY, CACHE_DIR_PROPERTY, HTTP_CLIENT_OPTIONS_PROPERTY, HTTPS_CLIENT_OPTIONS_PROPERTY, KEYSERVER_URI_TEMPLATE, PROXY_HOST_PROPERTY, PROXY_PORT_PROPERTY, VALIDATION_POLICY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSecureServiceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `prefix()`

    - ### Methods inherited from class io.vertx.ext.httpservicefactory.HttpServiceFactory

      `configOptions, createHttpClientOptions, doRequest, init, resolve`

    - ### Methods inherited from class io.vertx.service.ServiceVerticleFactory

      `createVerticle, requiresResolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VerticleFactory

      `blockingCreate, close, order, removePrefix`

- - ### Constructor Detail

    - #### HttpSecureServiceFactory

          public HttpSecureServiceFactory()

  - ### Method Detail

    - #### prefix

          public String prefix()

      Specified by:
        `prefix` in interface `VerticleFactory`
      Overrides:
        `prefix` in class `HttpServiceFactory`
      Returns:
        The prefix for the factory, e.g. "java", or "js".

Copyright © 2020 Eclipse. All rights reserved.